Index: branches/OKBJavaConnector/HLOKBWebClient/src/main/java/at/hl/okb/IECJConnector.java
===================================================================
--- branches/OKBJavaConnector/HLOKBWebClient/src/main/java/at/hl/okb/IECJConnector.java	(revision 4961)
+++ branches/OKBJavaConnector/HLOKBWebClient/src/main/java/at/hl/okb/IECJConnector.java	(revision 4963)
@@ -10,6 +10,24 @@
  */
 public interface IECJConnector {
-	public void initialize(String algorithm, String platform, Map<String, String> algoParams, Map<String,String>problemParams, Object paramFile) throws Exception;
+	/**
+	 * Does some logical Check against HL
+	 * create missing Datatypes (if not found)
+	 * saves algorithmParams, problemParams into HL
+	 * 
+	 * @param algorithm Name of the Algorithm
+	 * @param platform Name of the Platform
+	 * @param problem Name of the Problem
+	 * @param algoParams map<AlgoParamname, Paramvalue> (as JavaType)
+	 * @param problemParams map<problemParamName, Paramvalue> (as JavaType)
+	 * @param paramFile as Object (will be saved as BLOB)
+	 * @throws Exception
+	 */
+	public void initialize(String algorithm, String platform, String problem, Map<String, Object> algoParams, Map<String,Object> problemParams, Object paramFile) throws Exception;
 
+	/**
+	 * delivers Results to HL
+	 * @param resultList
+	 * @throws Exception
+	 */
 	public void result(List<Object> resultList) throws Exception;
 }
Index: branches/OKBJavaConnector/HLOKBWebClient/src/main/java/at/hl/okb/impl/ECJ19ConnectorImpl.java
===================================================================
--- branches/OKBJavaConnector/HLOKBWebClient/src/main/java/at/hl/okb/impl/ECJ19ConnectorImpl.java	(revision 4961)
+++ branches/OKBJavaConnector/HLOKBWebClient/src/main/java/at/hl/okb/impl/ECJ19ConnectorImpl.java	(revision 4963)
@@ -8,4 +8,5 @@
 
 import at.hl.okb.IECJConnector;
+import at.hl.okb.wsclient.OKBServiceClient;
 
 /**
@@ -14,10 +15,12 @@
  */
 public class ECJ19ConnectorImpl implements IECJConnector {
-
+	
+	private OKBServiceClient okbClient = null;
+	
 	/**
 	 * 
 	 */
 	public ECJ19ConnectorImpl() {
-		// TODO Auto-generated constructor stub
+		this.okbClient = new OKBServiceClient();
 	}
 
@@ -25,9 +28,29 @@
 	 * @see at.hl.okb.IECJConnector#initialize(java.lang.String, java.lang.String, java.util.Map, java.util.Map, java.lang.Object)
 	 */
-	public void initialize(String algorithm, String platform,
-			Map<String, String> algoParams, Map<String, String> problemParams,
+	public void initialize(String algorithm, String platform, String problem,
+			Map<String, Object> algoParams, Map<String, Object> problemParams,
 			Object paramFile) throws Exception {
 		// TODO Auto-generated method stub
 		
+		Long platformId = okbClient.getPlatformId(platform);
+		if (platformId==null)
+			throw new Exception("Platform " + platform + " not found!");
+		
+		Long algorithmId = okbClient.getAlgorithmId(algorithm);
+		if (algorithmId==null)
+			throw new Exception("Algorithm " + algorithm + " not found!");
+		
+		Long problemId = okbClient.getProblemId(problem);
+		if (problemId==null)
+			throw new Exception("Proble " + problem + " not found!");		
+
+		okbClient.checkAlgoParamsExists(algorithmId, algoParams);
+		//check problemParams(problemParams)
+		
+
+		//add AlgorithmParams(Algorithmid, Platformid, algoParams,paramfile)
+		//addProblemParams(problemId, Platformid, problemParams)
+		
+		//port.addAlgorithmParameter(dto)
 	}
 
Index: branches/OKBJavaConnector/HLOKBWebClient/src/main/java/at/hl/okb/wsclient/Exception/OKBWebServiceFailedException.java
===================================================================
--- branches/OKBJavaConnector/HLOKBWebClient/src/main/java/at/hl/okb/wsclient/Exception/OKBWebServiceFailedException.java	(revision 4963)
+++ branches/OKBJavaConnector/HLOKBWebClient/src/main/java/at/hl/okb/wsclient/Exception/OKBWebServiceFailedException.java	(revision 4963)
@@ -0,0 +1,46 @@
+/**
+ * 
+ */
+package at.hl.okb.wsclient.Exception;
+
+/**
+ * Exception if OKBWebservice Method failed
+ * @author HolperM
+ *
+ */
+public class OKBWebServiceFailedException extends Exception {
+
+	/**
+	 * 
+	 */
+	private static final long serialVersionUID = 1L;
+
+	/**
+	 * 
+	 */
+	public OKBWebServiceFailedException() {
+	}
+
+	/**
+	 * @param message
+	 */
+	public OKBWebServiceFailedException(String message) {
+		super(message);
+	}
+
+	/**
+	 * @param cause
+	 */
+	public OKBWebServiceFailedException(Throwable cause) {
+		super(cause);
+	}
+
+	/**
+	 * @param message
+	 * @param cause
+	 */
+	public OKBWebServiceFailedException(String message, Throwable cause) {
+		super(message, cause);
+	}
+
+}
Index: branches/OKBJavaConnector/HLOKBWebClient/src/main/java/at/hl/okb/wsclient/OKBServiceClient.java
===================================================================
--- branches/OKBJavaConnector/HLOKBWebClient/src/main/java/at/hl/okb/wsclient/OKBServiceClient.java	(revision 4963)
+++ branches/OKBJavaConnector/HLOKBWebClient/src/main/java/at/hl/okb/wsclient/OKBServiceClient.java	(revision 4963)
@@ -0,0 +1,79 @@
+package at.hl.okb.wsclient;
+
+import java.util.ArrayList;
+import java.util.List;
+import java.util.Map;
+
+import at.hl.wsclient.okb.Algorithm;
+import at.hl.wsclient.okb.AlgorithmParameter;
+import at.hl.wsclient.okb.ArrayOfAlgorithm;
+import at.hl.wsclient.okb.ArrayOfAlgorithmParameter;
+import at.hl.wsclient.okb.ArrayOfPlatform;
+import at.hl.wsclient.okb.ArrayOfProblem;
+import at.hl.wsclient.okb.IOKBService;
+import at.hl.wsclient.okb.OKBService;
+import at.hl.wsclient.okb.Platform;
+import at.hl.wsclient.okb.Problem;
+
+public class OKBServiceClient {
+	OKBService srv = null;
+	IOKBService port = null;
+
+	public OKBServiceClient() {
+		this.srv = new OKBService();
+		this.port = srv.getWSHttpBindingIOKBService1();
+	}  
+	
+	public Long getPlatformId(String platformName) {
+		Long platformId = null;
+		
+		ArrayOfPlatform allPlatforms = port.getPlatforms();
+		for (Platform platform:allPlatforms.getPlatform()) {
+			if (platform.getName().getValue()==platformName) {
+				platformId = platform.getId();
+			}
+		}
+		return platformId;
+	}
+
+	public Long getAlgorithmId(String algorithmName) {
+		Long algorithmId = null;
+		
+		ArrayOfAlgorithm allAlgorithms = port.getAlgorithms();
+		for (Algorithm algo:allAlgorithms.getAlgorithm()) {
+			if (algo.getName().getValue()==algorithmName) {
+				algorithmId = algo.getId();
+			}
+		}
+		return algorithmId;
+	}
+	
+	public Long getProblemId(String problemName) {
+		Long problemId = null;
+		
+		ArrayOfProblem allProblems = port.getProblems();
+		for (Problem problem:allProblems.getProblem()) {
+			if (problem.getName().getValue()==problemName) {
+				problemId = problem.getId();
+			}
+		}
+		return problemId;
+	}
+
+	public void checkAlgoParamsExists(Long algorithmId,
+			Map<String, Object> algoParams) {
+		
+		List<String> missingParams = new ArrayList<String>();
+		
+		ArrayOfAlgorithmParameter allAlgoParams = port.getAlgorithmParameters(algorithmId);
+		
+//		for (AlgorithmParameter algoParam:allAlgoParams.getAlgorithmParameter()) {
+//			if (algoParam.getName().getValue()==)
+//		}
+		
+		
+	}
+
+
+
+}
Index: branches/OKBJavaConnector/HLOKBWebClient/src/test/at/hl/wsclient/okb/OKBClientTest.java
===================================================================
--- branches/OKBJavaConnector/HLOKBWebClient/src/test/at/hl/wsclient/okb/OKBClientTest.java	(revision 4961)
+++ 	(revision )
@@ -1,86 +1,0 @@
-/**
- * 
- */
-package at.hl.wsclient.okb;
-
-import static org.junit.Assert.assertTrue;
-
-import org.junit.After;
-import org.junit.AfterClass;
-import org.junit.Before;
-import org.junit.BeforeClass;
-import org.junit.Test;
-
-/**
- * @author HolperM
- *
- */
-public class OKBClientTest {
-	
-	OKBService srv = null;
-	IOKBService port = null;  
-
-	/**
-	 * @throws java.lang.Exception
-	 */
-	@BeforeClass
-	public static void setUpBeforeClass() throws Exception {
-	}
-
-	/**
-	 * @throws java.lang.Exception
-	 */
-	@AfterClass
-	public static void tearDownAfterClass() throws Exception {
-	}
-
-	/**
-	 * @throws java.lang.Exception
-	 */
-	@Before
-	public void setUp() throws Exception {
-		this.srv = new OKBService();
-		this.port = srv.getWSHttpBindingIOKBService1();
-	}
-
-	/**
-	 * @throws java.lang.Exception
-	 */
-	@After
-	public void tearDown() throws Exception {
-	}
-	
-	@Test
-	public void AddAlgorithmTest() {
-        ObjectFactory fac = new ObjectFactory();
-        AddAlgorithm addA = fac.createAddAlgorithm();
-        addA.setDto(fac.createAddAlgorithmDto(fac.createAlgorithm()));
-        
-        Algorithm a = fac.createAlgorithm();
-        a.setAlgorithmClassId(1L);
-        a.setDescription(fac.createNamedOKBItemDescription("a new Algo"));
-        a.setId(1L);
-        a.setName(fac.createNamedOKBItemName("Algorithm Name"));
-        a.setPlatformId(1L);
-        
-		port.addAlgorithm(a);
-        Long retval = port.addAlgorithm(a);
-        assertTrue("Algortihm wasn't added", retval>0);
-	}
-	
-	@Test
-	public void GetAlgorithms() {
-		ArrayOfAlgorithm algos = port.getAlgorithms();
-		
-		for (Algorithm algo:algos.getAlgorithm()) {
-			System.out.println("algo ClassId:="+algo.getAlgorithmClassId());
-			System.out.println("algo Id:="+algo.getId());
-			System.out.println("algo PlattformId:="+algo.getPlatformId());
-			System.out.println("algo Class:="+algo.getClass());
-			System.out.println("algo Description:="+algo.getDescription().getValue());
-			System.out.println("algo Name:="+algo.getName().getValue());
-		}
-		assertTrue("No Algorithms found!", algos.getAlgorithm().size()>0);
-	}	
-	
-}