Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/ALGLIB-3.1.0/ALGLIB License.txt
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/ALGLIB-3.1.0/ALGLIB License.txt	(revision 4975)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/ALGLIB-3.1.0/ALGLIB License.txt	(revision 4976)
@@ -1,3 +1,8 @@
-﻿This program is free software; you can redistribute it and/or modify
+﻿ALGLIB® - numerical analysis library, 1999-2010.
+ALGLIB is registered trademark of the ALGLIB Project.
+
+
+
+This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation (www.fsf.org); either version 2 of the 
Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/ALGLIB-3.1.0/Properties/AssemblyInfo.cs
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/ALGLIB-3.1.0/Properties/AssemblyInfo.cs	(revision 4975)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/ALGLIB-3.1.0/Properties/AssemblyInfo.cs	(revision 4976)
@@ -5,10 +5,10 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("ALGLIB-2.5.0")]
-[assembly: AssemblyDescription("")]
+[assembly: AssemblyTitle("ALGLIB-3.1.0")]
+[assembly: AssemblyDescription("ALGLIB® - numerical analysis library, 1999-2010")]
 [assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("")]
-[assembly: AssemblyProduct("ALGLIB-2.5.0")]
-[assembly: AssemblyCopyright("Copyright ©  2010")]
+[assembly: AssemblyCompany("ALGLIB project")]
+[assembly: AssemblyProduct("ALGLIB-3.1.0")]
+[assembly: AssemblyCopyright("Copyright © Sergey Bochkanov (ALGLIB project) 1999-2010")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -20,5 +20,5 @@
 
 // The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("bdca40e7-e549-4082-8352-cc2b7b6bae6b")]
+[assembly: Guid("D68158F2-56A6-41DD-8CBA-FF1153A9CA4A")]
 
 // Version information for an assembly consists of the following four values:
@@ -32,4 +32,4 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("2.5.0.0")]
-[assembly: AssemblyFileVersion("2.5.0.0")]
+[assembly: AssemblyVersion("3.1.0.0")]
+[assembly: AssemblyFileVersion("3.1.0.0")]
Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/ALGLIB License-3.1.0.txt
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/ALGLIB License-3.1.0.txt	(revision 4975)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/ALGLIB License-3.1.0.txt	(revision 4976)
@@ -1,3 +1,8 @@
-﻿This program is free software; you can redistribute it and/or modify
+﻿ALGLIB® - numerical analysis library, 1999-2010.
+ALGLIB is registered trademark of the ALGLIB Project.
+
+
+
+This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation (www.fsf.org); either version 2 of the 
Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/HeuristicLabALGLIBPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/HeuristicLabALGLIBPlugin.cs.frame	(revision 4975)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/HeuristicLab.ALGLIB-3.1.0/HeuristicLabALGLIBPlugin.cs.frame	(revision 4976)
@@ -27,8 +27,8 @@
 
 namespace HeuristicLab.ALGLIB {
-  [Plugin("HeuristicLab.ALGLIB","2.5.0.$WCREV$")]  
-  [PluginFile("HeuristicLab.ALGLIB-2.5.0.dll", PluginFileType.Assembly)]
-  [PluginFile("ALGLIB-2.5.0.dll", PluginFileType.Assembly)]
-  [PluginFile("ALGLIB License-2.5.0.txt", PluginFileType.License)]
+  [Plugin("HeuristicLab.ALGLIB","3.1.0.$WCREV$")]  
+  [PluginFile("HeuristicLab.ALGLIB-3.1.0.dll", PluginFileType.Assembly)]
+  [PluginFile("ALGLIB-3.1.0.dll", PluginFileType.Assembly)]
+  [PluginFile("ALGLIB License-3.1.0.txt", PluginFileType.License)]
   public class HeuristicLabAlgLibPlugin : PluginBase {
   }