Index: branches/UserManagement/HeuristicLab.Services.Authentication.ServiceClients/ServiceClients/AuthenticationServiceClient.cs
===================================================================
--- branches/UserManagement/HeuristicLab.Services.Authentication.ServiceClients/ServiceClients/AuthenticationServiceClient.cs	(revision 4962)
+++ branches/UserManagement/HeuristicLab.Services.Authentication.ServiceClients/ServiceClients/AuthenticationServiceClient.cs	(revision 4979)
@@ -1,9 +1,9 @@
 ﻿//------------------------------------------------------------------------------
 // <auto-generated>
-//     This code was generated by a tool.
-//     Runtime Version:4.0.30319.1
+//     Dieser Code wurde von einem Tool generiert.
+//     Laufzeitversion:4.0.30319.1
 //
-//     Changes to this file may cause incorrect behavior and will be lost if
-//     the code is regenerated.
+//     Änderungen an dieser Datei können falsches Verhalten verursachen und gehen verloren, wenn
+//     der Code erneut generiert wird.
 // </auto-generated>
 //------------------------------------------------------------------------------
@@ -16,11 +16,11 @@
     [System.Diagnostics.DebuggerStepThroughAttribute()]
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
-    [System.Runtime.Serialization.DataContractAttribute(Name="AuthItem", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Authentication.Data" +
+    [System.Runtime.Serialization.DataContractAttribute(Name="AuthenticationItem", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Authentication.Data" +
         "Transfer")]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Services.Authentication.NamedAuthItem))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Services.Authentication.NamedAuthenticationItem))]
     [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Services.Authentication.Role))]
     [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Services.Authentication.Application))]
     [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Services.Authentication.User))]
-    public partial class AuthItem : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged
+    public partial class AuthenticationItem : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged
     {
         
@@ -72,10 +72,10 @@
     [System.Diagnostics.DebuggerStepThroughAttribute()]
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
-    [System.Runtime.Serialization.DataContractAttribute(Name="NamedAuthItem", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Authentication.Data" +
+    [System.Runtime.Serialization.DataContractAttribute(Name="NamedAuthenticationItem", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Authentication.Data" +
         "Transfer")]
     [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Services.Authentication.Role))]
     [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Services.Authentication.Application))]
     [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Services.Authentication.User))]
-    public partial class NamedAuthItem : HeuristicLab.Services.Authentication.AuthItem
+    public partial class NamedAuthenticationItem : HeuristicLab.Services.Authentication.AuthenticationItem
     {
         
@@ -104,5 +104,5 @@
     [System.Runtime.Serialization.DataContractAttribute(Name="Role", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Authentication.Data" +
         "Transfer")]
-    public partial class Role : HeuristicLab.Services.Authentication.NamedAuthItem
+    public partial class Role : HeuristicLab.Services.Authentication.NamedAuthenticationItem
     {
         
@@ -110,6 +110,4 @@
         
         private string DescriptionField;
-        
-        private string LoweredRoleNameField;
         
         [System.Runtime.Serialization.DataMemberAttribute()]
@@ -143,21 +141,4 @@
                     this.DescriptionField = value;
                     this.RaisePropertyChanged("Description");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public string LoweredRoleName
-        {
-            get
-            {
-                return this.LoweredRoleNameField;
-            }
-            set
-            {
-                if ((object.ReferenceEquals(this.LoweredRoleNameField, value) != true))
-                {
-                    this.LoweredRoleNameField = value;
-                    this.RaisePropertyChanged("LoweredRoleName");
                 }
             }
@@ -169,10 +150,8 @@
     [System.Runtime.Serialization.DataContractAttribute(Name="Application", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Authentication.Data" +
         "Transfer")]
-    public partial class Application : HeuristicLab.Services.Authentication.NamedAuthItem
+    public partial class Application : HeuristicLab.Services.Authentication.NamedAuthenticationItem
     {
         
         private string DescriptionField;
-        
-        private string LoweredApplicationNameField;
         
         [System.Runtime.Serialization.DataMemberAttribute()]
@@ -189,21 +168,4 @@
                     this.DescriptionField = value;
                     this.RaisePropertyChanged("Description");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public string LoweredApplicationName
-        {
-            get
-            {
-                return this.LoweredApplicationNameField;
-            }
-            set
-            {
-                if ((object.ReferenceEquals(this.LoweredApplicationNameField, value) != true))
-                {
-                    this.LoweredApplicationNameField = value;
-                    this.RaisePropertyChanged("LoweredApplicationName");
                 }
             }
@@ -215,5 +177,5 @@
     [System.Runtime.Serialization.DataContractAttribute(Name="User", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Authentication.Data" +
         "Transfer")]
-    public partial class User : HeuristicLab.Services.Authentication.NamedAuthItem
+    public partial class User : HeuristicLab.Services.Authentication.NamedAuthenticationItem
     {
         
@@ -455,9 +417,12 @@
         HeuristicLab.Services.Authentication.User GetUser(System.Guid id);
         
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/GetAllUsers", ReplyAction="http://tempuri.org/IAuthenticationService/GetAllUsersResponse")]
+        HeuristicLab.Services.Authentication.User[] GetAllUsers();
+        
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/GetUsers", ReplyAction="http://tempuri.org/IAuthenticationService/GetUsersResponse")]
         HeuristicLab.Services.Authentication.User[] GetUsers(System.Guid applicationId);
         
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/InsertUser", ReplyAction="http://tempuri.org/IAuthenticationService/InsertUserResponse")]
-        System.Guid InsertUser(HeuristicLab.Services.Authentication.User user);
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/AddUser", ReplyAction="http://tempuri.org/IAuthenticationService/AddUserResponse")]
+        System.Guid AddUser(HeuristicLab.Services.Authentication.User user);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/DeleteUser", ReplyAction="http://tempuri.org/IAuthenticationService/DeleteUserResponse")]
@@ -470,18 +435,24 @@
         bool AddUserToRole(System.Guid roleId, System.Guid userId);
         
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/GetUsersInRole", ReplyAction="http://tempuri.org/IAuthenticationService/GetUsersInRoleResponse")]
+        System.Guid[] GetUsersInRole(System.Guid roleId);
+        
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/RemoveUserFromRole", ReplyAction="http://tempuri.org/IAuthenticationService/RemoveUserFromRoleResponse")]
         bool RemoveUserFromRole(System.Guid roleId, System.Guid userId);
         
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/GetRolesForUser", ReplyAction="http://tempuri.org/IAuthenticationService/GetRolesForUserResponse")]
-        HeuristicLab.Services.Authentication.Role[] GetRolesForUser(System.Guid userId);
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/IsUserInRole", ReplyAction="http://tempuri.org/IAuthenticationService/IsUserInRoleResponse")]
+        bool IsUserInRole(System.Guid userId, System.Guid roleId);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/GetRole", ReplyAction="http://tempuri.org/IAuthenticationService/GetRoleResponse")]
         HeuristicLab.Services.Authentication.Role GetRole(System.Guid id);
         
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/GetAllRoles", ReplyAction="http://tempuri.org/IAuthenticationService/GetAllRolesResponse")]
+        HeuristicLab.Services.Authentication.Role[] GetAllRoles();
+        
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/GetRoles", ReplyAction="http://tempuri.org/IAuthenticationService/GetRolesResponse")]
         HeuristicLab.Services.Authentication.Role[] GetRoles(System.Guid applicationId);
         
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/InsertRole", ReplyAction="http://tempuri.org/IAuthenticationService/InsertRoleResponse")]
-        System.Guid InsertRole(HeuristicLab.Services.Authentication.Role role);
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/AddRole", ReplyAction="http://tempuri.org/IAuthenticationService/AddRoleResponse")]
+        System.Guid AddRole(HeuristicLab.Services.Authentication.Role role);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/UpdateRole", ReplyAction="http://tempuri.org/IAuthenticationService/UpdateRoleResponse")]
@@ -491,12 +462,12 @@
         bool DeleteRole(System.Guid id);
         
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/GetUsersInRole", ReplyAction="http://tempuri.org/IAuthenticationService/GetUsersInRoleResponse")]
-        HeuristicLab.Services.Authentication.User[] GetUsersInRole(System.Guid roleId);
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/GetRolesForUser", ReplyAction="http://tempuri.org/IAuthenticationService/GetRolesForUserResponse")]
+        System.Guid[] GetRolesForUser(System.Guid userId);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/GetApplication", ReplyAction="http://tempuri.org/IAuthenticationService/GetApplicationResponse")]
         HeuristicLab.Services.Authentication.Application GetApplication(System.Guid id);
         
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/InsertApplication", ReplyAction="http://tempuri.org/IAuthenticationService/InsertApplicationResponse")]
-        System.Guid InsertApplication(HeuristicLab.Services.Authentication.Application application);
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/AddApplication", ReplyAction="http://tempuri.org/IAuthenticationService/AddApplicationResponse")]
+        System.Guid AddApplication(HeuristicLab.Services.Authentication.Application application);
         
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAuthenticationService/DeleteApplication", ReplyAction="http://tempuri.org/IAuthenticationService/DeleteApplicationResponse")]
@@ -549,4 +520,9 @@
         }
         
+        public HeuristicLab.Services.Authentication.User[] GetAllUsers()
+        {
+            return base.Channel.GetAllUsers();
+        }
+        
         public HeuristicLab.Services.Authentication.User[] GetUsers(System.Guid applicationId)
         {
@@ -554,7 +530,7 @@
         }
         
-        public System.Guid InsertUser(HeuristicLab.Services.Authentication.User user)
-        {
-            return base.Channel.InsertUser(user);
+        public System.Guid AddUser(HeuristicLab.Services.Authentication.User user)
+        {
+            return base.Channel.AddUser(user);
         }
         
@@ -574,4 +550,9 @@
         }
         
+        public System.Guid[] GetUsersInRole(System.Guid roleId)
+        {
+            return base.Channel.GetUsersInRole(roleId);
+        }
+        
         public bool RemoveUserFromRole(System.Guid roleId, System.Guid userId)
         {
@@ -579,39 +560,44 @@
         }
         
-        public HeuristicLab.Services.Authentication.Role[] GetRolesForUser(System.Guid userId)
+        public bool IsUserInRole(System.Guid userId, System.Guid roleId)
+        {
+            return base.Channel.IsUserInRole(userId, roleId);
+        }
+        
+        public HeuristicLab.Services.Authentication.Role GetRole(System.Guid id)
+        {
+            return base.Channel.GetRole(id);
+        }
+        
+        public HeuristicLab.Services.Authentication.Role[] GetAllRoles()
+        {
+            return base.Channel.GetAllRoles();
+        }
+        
+        public HeuristicLab.Services.Authentication.Role[] GetRoles(System.Guid applicationId)
+        {
+            return base.Channel.GetRoles(applicationId);
+        }
+        
+        public System.Guid AddRole(HeuristicLab.Services.Authentication.Role role)
+        {
+            return base.Channel.AddRole(role);
+        }
+        
+        public bool UpdateRole(HeuristicLab.Services.Authentication.Role role)
+        {
+            return base.Channel.UpdateRole(role);
+        }
+        
+        public bool DeleteRole(System.Guid id)
+        {
+            return base.Channel.DeleteRole(id);
+        }
+        
+        public System.Guid[] GetRolesForUser(System.Guid userId)
         {
             return base.Channel.GetRolesForUser(userId);
         }
         
-        public HeuristicLab.Services.Authentication.Role GetRole(System.Guid id)
-        {
-            return base.Channel.GetRole(id);
-        }
-        
-        public HeuristicLab.Services.Authentication.Role[] GetRoles(System.Guid applicationId)
-        {
-            return base.Channel.GetRoles(applicationId);
-        }
-        
-        public System.Guid InsertRole(HeuristicLab.Services.Authentication.Role role)
-        {
-            return base.Channel.InsertRole(role);
-        }
-        
-        public bool UpdateRole(HeuristicLab.Services.Authentication.Role role)
-        {
-            return base.Channel.UpdateRole(role);
-        }
-        
-        public bool DeleteRole(System.Guid id)
-        {
-            return base.Channel.DeleteRole(id);
-        }
-        
-        public HeuristicLab.Services.Authentication.User[] GetUsersInRole(System.Guid roleId)
-        {
-            return base.Channel.GetUsersInRole(roleId);
-        }
-        
         public HeuristicLab.Services.Authentication.Application GetApplication(System.Guid id)
         {
@@ -619,7 +605,7 @@
         }
         
-        public System.Guid InsertApplication(HeuristicLab.Services.Authentication.Application application)
-        {
-            return base.Channel.InsertApplication(application);
+        public System.Guid AddApplication(HeuristicLab.Services.Authentication.Application application)
+        {
+            return base.Channel.AddApplication(application);
         }
         