Index: branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Form1.Designer.cs
===================================================================
--- branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Form1.Designer.cs	(revision 4983)
+++ branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Form1.Designer.cs	(revision 4983)
@@ -0,0 +1,68 @@
+﻿namespace HeuristicLab.Services.Authentication.TestClient2 {
+  partial class Form1 {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.lbl_Applications = new System.Windows.Forms.Label();
+      this.cbx_Applications = new System.Windows.Forms.ComboBox();
+      this.SuspendLayout();
+      // 
+      // lbl_Applications
+      // 
+      this.lbl_Applications.AutoSize = true;
+      this.lbl_Applications.Location = new System.Drawing.Point(13, 13);
+      this.lbl_Applications.Name = "lbl_Applications";
+      this.lbl_Applications.Size = new System.Drawing.Size(64, 13);
+      this.lbl_Applications.TabIndex = 0;
+      this.lbl_Applications.Text = "Applications";
+      // 
+      // cbx_Applications
+      // 
+      this.cbx_Applications.FormattingEnabled = true;
+      this.cbx_Applications.Location = new System.Drawing.Point(84, 13);
+      this.cbx_Applications.Name = "cbx_Applications";
+      this.cbx_Applications.Size = new System.Drawing.Size(400, 21);
+      this.cbx_Applications.TabIndex = 1;
+      // 
+      // Form1
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(533, 317);
+      this.Controls.Add(this.cbx_Applications);
+      this.Controls.Add(this.lbl_Applications);
+      this.Name = "Form1";
+      this.Text = "Form1";
+      this.Load += new System.EventHandler(this.Form1_Load);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label lbl_Applications;
+    private System.Windows.Forms.ComboBox cbx_Applications;
+
+  }
+}
Index: branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Form1.cs
===================================================================
--- branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Form1.cs	(revision 4983)
+++ branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Form1.cs	(revision 4983)
@@ -0,0 +1,27 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Services.Authentication.ServiceClients;
+
+namespace HeuristicLab.Services.Authentication.TestClient2 {
+  public partial class Form1 : Form {
+
+    ICollection<Application> apps;
+    public Form1() {
+      InitializeComponent();
+    }
+
+    private void Form1_Load(object sender, EventArgs e) {
+
+
+      apps = (ICollection<Application>)AuthenticationClient.Instance.Applications.ToList<Application>();
+      cbx_Applications.DataSource = apps;
+     
+    }
+  }
+}
Index: branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Form1.resx
===================================================================
--- branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Form1.resx	(revision 4983)
+++ branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Form1.resx	(revision 4983)
@@ -0,0 +1,120 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/HeuristicLab.Services.Authentication.TestClient2.csproj
===================================================================
--- branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/HeuristicLab.Services.Authentication.TestClient2.csproj	(revision 4979)
+++ branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/HeuristicLab.Services.Authentication.TestClient2.csproj	(revision 4983)
@@ -7,5 +7,5 @@
     <SchemaVersion>2.0</SchemaVersion>
     <ProjectGuid>{EB40C828-D545-4DFE-9CE6-108FB03C6912}</ProjectGuid>
-    <OutputType>Exe</OutputType>
+    <OutputType>WinExe</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Services.Authentication.TestClient2</RootNamespace>
@@ -34,4 +34,7 @@
     <WarningLevel>4</WarningLevel>
   </PropertyGroup>
+  <PropertyGroup>
+    <StartupObject />
+  </PropertyGroup>
   <ItemGroup>
     <Reference Include="System" />
@@ -48,4 +51,10 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="Form1.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Form1.Designer.cs">
+      <DependentUpon>Form1.cs</DependentUpon>
+    </Compile>
     <Compile Include="Program.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
@@ -72,4 +81,7 @@
   </ItemGroup>
   <ItemGroup>
+    <EmbeddedResource Include="Form1.resx">
+      <DependentUpon>Form1.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="UserManagement.resx">
       <DependentUpon>UserManagement.cs</DependentUpon>
Index: branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Program.cs
===================================================================
--- branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Program.cs	(revision 4979)
+++ branches/UserManagement/HeuristicLab.Services.Authentication.TestClient2/Program.cs	(revision 4983)
@@ -26,7 +26,7 @@
               Console.WriteLine(u.Name);
             }
-            Console.ReadLine();
+            Console.ReadLine();  
 
-            //System.Windows.Forms.Application.Run(new UserManagement());
+            System.Windows.Forms.Application.Run(new Form1());
         }
     }