Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.Designer.cs	(revision 4988)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.Designer.cs	(revision 4989)
@@ -54,5 +54,5 @@
       this.valueChangeSigmaTextBox = new System.Windows.Forms.TextBox();
       this.meanWeightChangeLabel = new System.Windows.Forms.Label();
-      this.valueChangeNuTextBox = new System.Windows.Forms.TextBox();
+      this.valueChangeMuTextBox = new System.Windows.Forms.TextBox();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.initializationGroupBox.SuspendLayout();
@@ -146,5 +146,5 @@
       this.mutationGroupBox.Controls.Add(this.valueChangeSigmaTextBox);
       this.mutationGroupBox.Controls.Add(this.meanWeightChangeLabel);
-      this.mutationGroupBox.Controls.Add(this.valueChangeNuTextBox);
+      this.mutationGroupBox.Controls.Add(this.valueChangeMuTextBox);
       this.mutationGroupBox.Location = new System.Drawing.Point(3, 158);
       this.mutationGroupBox.Name = "mutationGroupBox";
@@ -183,20 +183,20 @@
       this.meanWeightChangeLabel.Location = new System.Drawing.Point(6, 22);
       this.meanWeightChangeLabel.Name = "meanWeightChangeLabel";
-      this.meanWeightChangeLabel.Size = new System.Drawing.Size(97, 13);
+      this.meanWeightChangeLabel.Size = new System.Drawing.Size(99, 13);
       this.meanWeightChangeLabel.TabIndex = 6;
-      this.meanWeightChangeLabel.Text = "Value change (nu):";
-      this.toolTip.SetToolTip(this.meanWeightChangeLabel, "The nu (mean) parameter for the normal distribution to sample the value change.");
-      // 
-      // valueChangeNuTextBox
-      // 
-      this.valueChangeNuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.errorProvider.SetIconAlignment(this.valueChangeNuTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.valueChangeNuTextBox.Location = new System.Drawing.Point(136, 19);
-      this.valueChangeNuTextBox.Name = "valueChangeNuTextBox";
-      this.valueChangeNuTextBox.Size = new System.Drawing.Size(178, 20);
-      this.valueChangeNuTextBox.TabIndex = 7;
-      this.toolTip.SetToolTip(this.valueChangeNuTextBox, "The nu (mean) parameter for the normal distribution to sample the value change.");
-      this.valueChangeNuTextBox.TextChanged += new System.EventHandler(this.valueChangeNuTextBox_TextChanged);
+      this.meanWeightChangeLabel.Text = "Value change (mu):";
+      this.toolTip.SetToolTip(this.meanWeightChangeLabel, "The mu (mean) parameter for the normal distribution to sample the value change.");
+      // 
+      // valueChangeMuTextBox
+      // 
+      this.valueChangeMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.errorProvider.SetIconAlignment(this.valueChangeMuTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.valueChangeMuTextBox.Location = new System.Drawing.Point(136, 19);
+      this.valueChangeMuTextBox.Name = "valueChangeMuTextBox";
+      this.valueChangeMuTextBox.Size = new System.Drawing.Size(178, 20);
+      this.valueChangeMuTextBox.TabIndex = 7;
+      this.toolTip.SetToolTip(this.valueChangeMuTextBox, "The mu (mean) parameter for the normal distribution to sample the value change.");
+      this.valueChangeMuTextBox.TextChanged += new System.EventHandler(this.valueChangeNuTextBox_TextChanged);
       // 
       // ConstantView
@@ -237,5 +237,5 @@
     private System.Windows.Forms.TextBox valueChangeSigmaTextBox;
     private System.Windows.Forms.Label meanWeightChangeLabel;
-    private System.Windows.Forms.TextBox valueChangeNuTextBox;
+    private System.Windows.Forms.TextBox valueChangeMuTextBox;
 
   }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.cs	(revision 4988)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.cs	(revision 4989)
@@ -61,6 +61,6 @@
       maxValueTextBox.Enabled = Content != null;
       maxValueTextBox.ReadOnly = ReadOnly;
-      valueChangeNuTextBox.Enabled = Content != null;
-      valueChangeNuTextBox.ReadOnly = ReadOnly;
+      valueChangeMuTextBox.Enabled = Content != null;
+      valueChangeMuTextBox.ReadOnly = ReadOnly;
       valueChangeSigmaTextBox.Enabled = Content != null;
       valueChangeSigmaTextBox.ReadOnly = ReadOnly;
@@ -95,9 +95,9 @@
     private void valueChangeNuTextBox_TextChanged(object sender, EventArgs e) {
       double nu;
-      if (double.TryParse(valueChangeNuTextBox.Text, out nu)) {
-        Content.ManipulatorNu = nu;
-        errorProvider.SetError(valueChangeNuTextBox, string.Empty);
+      if (double.TryParse(valueChangeMuTextBox.Text, out nu)) {
+        Content.ManipulatorMu = nu;
+        errorProvider.SetError(valueChangeMuTextBox, string.Empty);
       } else {
-        errorProvider.SetError(valueChangeNuTextBox, "Invalid value");
+        errorProvider.SetError(valueChangeMuTextBox, "Invalid value");
       }
     }
@@ -124,5 +124,5 @@
         minValueTextBox.Text = Content.MinValue.ToString();
         maxValueTextBox.Text = Content.MaxValue.ToString();
-        valueChangeNuTextBox.Text = Content.ManipulatorNu.ToString();
+        valueChangeMuTextBox.Text = Content.ManipulatorMu.ToString();
         valueChangeSigmaTextBox.Text = Content.ManipulatorSigma.ToString();
       }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.Designer.cs	(revision 4988)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.Designer.cs	(revision 4989)
@@ -45,6 +45,6 @@
     /// </summary>
     private void InitializeComponent() {
-      this.weightNuLabel = new System.Windows.Forms.Label();
-      this.weightNuTextBox = new System.Windows.Forms.TextBox();
+      this.weightMuLabel = new System.Windows.Forms.Label();
+      this.weightMuTextBox = new System.Windows.Forms.TextBox();
       this.initializationGroupBox = new System.Windows.Forms.GroupBox();
       this.weightSigmaLabel = new System.Windows.Forms.Label();
@@ -54,5 +54,5 @@
       this.weightChangeSigmaTextBox = new System.Windows.Forms.TextBox();
       this.meanWeightChangeLabel = new System.Windows.Forms.Label();
-      this.weightChangeNuTextBox = new System.Windows.Forms.TextBox();
+      this.weightChangeMuTextBox = new System.Windows.Forms.TextBox();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.initializationGroupBox.SuspendLayout();
@@ -66,4 +66,5 @@
       // initialFrequencyTextBox
       // 
+      this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.initialFrequencyTextBox.Size = new System.Drawing.Size(203, 20);
       // 
@@ -76,27 +77,28 @@
       // descriptionTextBox
       // 
+      this.errorProvider.SetIconAlignment(this.descriptionTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.descriptionTextBox.Size = new System.Drawing.Size(203, 20);
       // 
-      // weightNuLabel
-      // 
-      this.weightNuLabel.AutoSize = true;
-      this.weightNuLabel.Location = new System.Drawing.Point(6, 22);
-      this.weightNuLabel.Name = "weightNuLabel";
-      this.weightNuLabel.Size = new System.Drawing.Size(65, 13);
-      this.weightNuLabel.TabIndex = 6;
-      this.weightNuLabel.Text = "Weight (nu):";
-      this.toolTip.SetToolTip(this.weightNuLabel, "The nu (mean) parameter of the normal distribution to use for initial weights.");
-      // 
-      // weightNuTextBox
-      // 
-      this.weightNuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.weightNuTextBox.Location = new System.Drawing.Point(92, 19);
-      this.weightNuTextBox.Name = "weightNuTextBox";
-      this.weightNuTextBox.Size = new System.Drawing.Size(201, 20);
-      this.weightNuTextBox.TabIndex = 7;
-      this.toolTip.SetToolTip(this.weightNuTextBox, "The nu (mean) parameter of the normal distribution from which to sample the initi" +
+      // weightMuLabel
+      // 
+      this.weightMuLabel.AutoSize = true;
+      this.weightMuLabel.Location = new System.Drawing.Point(6, 22);
+      this.weightMuLabel.Name = "weightMuLabel";
+      this.weightMuLabel.Size = new System.Drawing.Size(67, 13);
+      this.weightMuLabel.TabIndex = 6;
+      this.weightMuLabel.Text = "Weight (mu):";
+      this.toolTip.SetToolTip(this.weightMuLabel, "The mu (mean) parameter of the normal distribution to use for initial weights.");
+      // 
+      // weightMuTextBox
+      // 
+      this.weightMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.weightMuTextBox.Location = new System.Drawing.Point(92, 19);
+      this.weightMuTextBox.Name = "weightMuTextBox";
+      this.weightMuTextBox.Size = new System.Drawing.Size(201, 20);
+      this.weightMuTextBox.TabIndex = 7;
+      this.toolTip.SetToolTip(this.weightMuTextBox, "The mu (mean) parameter of the normal distribution from which to sample the initi" +
               "al weights.");
-      this.weightNuTextBox.TextChanged += new System.EventHandler(this.weightNuTextBox_TextChanged);
+      this.weightMuTextBox.TextChanged += new System.EventHandler(this.weightNuTextBox_TextChanged);
       // 
       // initializationGroupBox
@@ -106,6 +108,6 @@
       this.initializationGroupBox.Controls.Add(this.weightSigmaLabel);
       this.initializationGroupBox.Controls.Add(this.weightSigmaTextBox);
-      this.initializationGroupBox.Controls.Add(this.weightNuLabel);
-      this.initializationGroupBox.Controls.Add(this.weightNuTextBox);
+      this.initializationGroupBox.Controls.Add(this.weightMuLabel);
+      this.initializationGroupBox.Controls.Add(this.weightMuTextBox);
       this.initializationGroupBox.Location = new System.Drawing.Point(3, 79);
       this.initializationGroupBox.Name = "initializationGroupBox";
@@ -144,5 +146,5 @@
       this.mutationGroupBox.Controls.Add(this.weightChangeSigmaTextBox);
       this.mutationGroupBox.Controls.Add(this.meanWeightChangeLabel);
-      this.mutationGroupBox.Controls.Add(this.weightChangeNuTextBox);
+      this.mutationGroupBox.Controls.Add(this.weightChangeMuTextBox);
       this.mutationGroupBox.Location = new System.Drawing.Point(3, 158);
       this.mutationGroupBox.Name = "mutationGroupBox";
@@ -180,21 +182,21 @@
       this.meanWeightChangeLabel.Location = new System.Drawing.Point(6, 22);
       this.meanWeightChangeLabel.Name = "meanWeightChangeLabel";
-      this.meanWeightChangeLabel.Size = new System.Drawing.Size(104, 13);
+      this.meanWeightChangeLabel.Size = new System.Drawing.Size(106, 13);
       this.meanWeightChangeLabel.TabIndex = 6;
-      this.meanWeightChangeLabel.Text = "Weight change (nu):";
+      this.meanWeightChangeLabel.Text = "Weight change (mu):";
       this.toolTip.SetToolTip(this.meanWeightChangeLabel, "The nu (mean) parameter for the normal distribution to sample the change in weigh" +
               "t.");
       // 
-      // weightChangeNuTextBox
-      // 
-      this.weightChangeNuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.weightChangeNuTextBox.Location = new System.Drawing.Point(131, 19);
-      this.weightChangeNuTextBox.Name = "weightChangeNuTextBox";
-      this.weightChangeNuTextBox.Size = new System.Drawing.Size(162, 20);
-      this.weightChangeNuTextBox.TabIndex = 7;
-      this.toolTip.SetToolTip(this.weightChangeNuTextBox, "The nu (mean) parameter for the normal distribution to sample the change in weigh" +
+      // weightChangeMuTextBox
+      // 
+      this.weightChangeMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.weightChangeMuTextBox.Location = new System.Drawing.Point(131, 19);
+      this.weightChangeMuTextBox.Name = "weightChangeMuTextBox";
+      this.weightChangeMuTextBox.Size = new System.Drawing.Size(162, 20);
+      this.weightChangeMuTextBox.TabIndex = 7;
+      this.toolTip.SetToolTip(this.weightChangeMuTextBox, "The mu (mean) parameter for the normal distribution to sample the change in weigh" +
               "t.");
-      this.weightChangeNuTextBox.TextChanged += new System.EventHandler(this.weightChangeNuTextBox_TextChanged);
+      this.weightChangeMuTextBox.TextChanged += new System.EventHandler(this.weightChangeNuTextBox_TextChanged);
       // 
       // VariableView
@@ -226,6 +228,6 @@
     #endregion
 
-    private System.Windows.Forms.Label weightNuLabel;
-    private System.Windows.Forms.TextBox weightNuTextBox;
+    private System.Windows.Forms.Label weightMuLabel;
+    private System.Windows.Forms.TextBox weightMuTextBox;
     protected System.Windows.Forms.GroupBox initializationGroupBox;
     private System.Windows.Forms.Label weightSigmaLabel;
@@ -235,5 +237,5 @@
     private System.Windows.Forms.TextBox weightChangeSigmaTextBox;
     private System.Windows.Forms.Label meanWeightChangeLabel;
-    private System.Windows.Forms.TextBox weightChangeNuTextBox;
+    private System.Windows.Forms.TextBox weightChangeMuTextBox;
 
   }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.cs	(revision 4988)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.cs	(revision 4989)
@@ -57,10 +57,10 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      weightNuTextBox.Enabled = Content != null;
-      weightNuTextBox.ReadOnly = ReadOnly;
+      weightMuTextBox.Enabled = Content != null;
+      weightMuTextBox.ReadOnly = ReadOnly;
       weightSigmaTextBox.Enabled = Content != null;
       weightSigmaTextBox.ReadOnly = ReadOnly;
-      weightChangeNuTextBox.Enabled = Content != null;
-      weightChangeNuTextBox.ReadOnly = ReadOnly;
+      weightChangeMuTextBox.Enabled = Content != null;
+      weightChangeMuTextBox.ReadOnly = ReadOnly;
       weightChangeSigmaTextBox.Enabled = Content != null;
       weightChangeSigmaTextBox.ReadOnly = ReadOnly;
@@ -76,9 +76,9 @@
     private void weightNuTextBox_TextChanged(object sender, EventArgs e) {
       double nu;
-      if (double.TryParse(weightNuTextBox.Text, out nu)) {
-        Content.WeightNu = nu;
-        errorProvider.SetError(weightNuTextBox, string.Empty);
+      if (double.TryParse(weightMuTextBox.Text, out nu)) {
+        Content.WeightMu = nu;
+        errorProvider.SetError(weightMuTextBox, string.Empty);
       } else {
-        errorProvider.SetError(weightNuTextBox, "Invalid value");
+        errorProvider.SetError(weightMuTextBox, "Invalid value");
       }
     }
@@ -95,9 +95,9 @@
     private void weightChangeNuTextBox_TextChanged(object sender, EventArgs e) {
       double nu;
-      if (double.TryParse(weightChangeNuTextBox.Text, out nu)) {
-        Content.WeightManipulatorNu = nu;
-        errorProvider.SetError(weightChangeNuTextBox, string.Empty);
+      if (double.TryParse(weightChangeMuTextBox.Text, out nu)) {
+        Content.WeightManipulatorMu = nu;
+        errorProvider.SetError(weightChangeMuTextBox, string.Empty);
       } else {
-        errorProvider.SetError(weightChangeNuTextBox, "Invalid value");
+        errorProvider.SetError(weightChangeMuTextBox, "Invalid value");
       }
     }
@@ -117,12 +117,12 @@
     private void UpdateControl() {
       if (Content == null) {
-        weightNuTextBox.Text = string.Empty;
+        weightMuTextBox.Text = string.Empty;
         weightSigmaTextBox.Text = string.Empty;
-        weightNuTextBox.Text = string.Empty;
+        weightMuTextBox.Text = string.Empty;
         weightChangeSigmaTextBox.Text = string.Empty;
       } else {
-        weightNuTextBox.Text = Content.WeightNu.ToString();
+        weightMuTextBox.Text = Content.WeightMu.ToString();
         weightSigmaTextBox.Text = Content.WeightSigma.ToString();
-        weightChangeNuTextBox.Text = Content.WeightManipulatorNu.ToString();
+        weightChangeMuTextBox.Text = Content.WeightManipulatorMu.ToString();
         weightChangeSigmaTextBox.Text = Content.WeightManipulatorSigma.ToString();
       }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Symbolic/Symbols/Constant.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Symbolic/Symbols/Constant.cs	(revision 4988)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Symbolic/Symbols/Constant.cs	(revision 4989)
@@ -54,10 +54,10 @@
     }
     [Storable]
-    private double manipulatorNu;
-    public double ManipulatorNu {
-      get { return manipulatorNu; }
+    private double manipulatorMu;
+    public double ManipulatorMu {
+      get { return manipulatorMu; }
       set {
-        if (value != manipulatorNu) {
-          manipulatorNu = value;
+        if (value != manipulatorMu) {
+          manipulatorMu = value;
           OnChanged(EventArgs.Empty);
         }
@@ -83,10 +83,10 @@
       minValue = original.minValue;
       maxValue = original.maxValue;
-      manipulatorNu = original.manipulatorNu;
+      manipulatorMu = original.manipulatorMu;
       manipulatorSigma = original.manipulatorSigma;
     }
     public Constant()
       : base("Constant", "Represents a constant value.") {
-      manipulatorNu = 0.0;
+      manipulatorMu = 0.0;
       manipulatorSigma = 1.0;
       minValue = -20.0;
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Symbolic/Symbols/ConstantTreeNode.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Symbolic/Symbols/ConstantTreeNode.cs	(revision 4988)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Symbolic/Symbols/ConstantTreeNode.cs	(revision 4989)
@@ -63,5 +63,5 @@
     public override void ShakeLocalParameters(IRandom random, double shakingFactor) {
       base.ShakeLocalParameters(random, shakingFactor);
-      double x = NormalDistributedRandom.NextDouble(random, Symbol.ManipulatorNu, Symbol.ManipulatorSigma);
+      double x = NormalDistributedRandom.NextDouble(random, Symbol.ManipulatorMu, Symbol.ManipulatorSigma);
       Value = Value + x * shakingFactor;
     }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Symbolic/Symbols/Variable.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Symbolic/Symbols/Variable.cs	(revision 4988)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Symbolic/Symbols/Variable.cs	(revision 4989)
@@ -33,10 +33,10 @@
     #region Properties
     [Storable]
-    private double weightNu;
-    public double WeightNu {
-      get { return weightNu; }
+    private double weightMu;
+    public double WeightMu {
+      get { return weightMu; }
       set {
-        if (value != weightNu) {
-          weightNu = value;
+        if (value != weightMu) {
+          weightMu = value;
           OnChanged(EventArgs.Empty);
         }
@@ -56,10 +56,10 @@
     }
     [Storable]
-    private double weightManipulatorNu;
-    public double WeightManipulatorNu {
-      get { return weightManipulatorNu; }
+    private double weightManipulatorMu;
+    public double WeightManipulatorMu {
+      get { return weightManipulatorMu; }
       set {
-        if (value != weightManipulatorNu) {
-          weightManipulatorNu = value;
+        if (value != weightManipulatorMu) {
+          weightManipulatorMu = value;
           OnChanged(EventArgs.Empty);
         }
@@ -96,8 +96,8 @@
     protected Variable(Variable original, Cloner cloner)
       : base(original, cloner) {
-      weightNu = original.weightNu;
+      weightMu = original.weightMu;
       weightSigma = original.weightSigma;
       variableNames = new List<string>(original.variableNames);
-      weightManipulatorNu = original.weightManipulatorNu;
+      weightManipulatorMu = original.weightManipulatorMu;
       weightManipulatorSigma = original.weightManipulatorSigma;
     }
@@ -105,7 +105,7 @@
     public Variable(string name, string description)
       : base(name, description) {
-      weightNu = 1.0;
+      weightMu = 1.0;
       weightSigma = 1.0;
-      weightManipulatorNu = 0.0;
+      weightManipulatorMu = 0.0;
       weightManipulatorSigma = 1.0;
       variableNames = new List<string>();
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Symbolic/Symbols/VariableTreeNode.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Symbolic/Symbols/VariableTreeNode.cs	(revision 4988)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/Symbolic/Symbols/VariableTreeNode.cs	(revision 4989)
@@ -62,5 +62,5 @@
     public override void ResetLocalParameters(IRandom random) {
       base.ResetLocalParameters(random);
-      weight = NormalDistributedRandom.NextDouble(random, Symbol.WeightNu, Symbol.WeightSigma);
+      weight = NormalDistributedRandom.NextDouble(random, Symbol.WeightMu, Symbol.WeightSigma);
       variableName = Symbol.VariableNames.SelectRandom(random);
     }
@@ -68,5 +68,5 @@
     public override void ShakeLocalParameters(IRandom random, double shakingFactor) {
       base.ShakeLocalParameters(random, shakingFactor);
-      double x = NormalDistributedRandom.NextDouble(random, Symbol.WeightManipulatorNu, Symbol.WeightManipulatorSigma);
+      double x = NormalDistributedRandom.NextDouble(random, Symbol.WeightManipulatorMu, Symbol.WeightManipulatorSigma);
       weight = weight + x * shakingFactor;
       variableName = Symbol.VariableNames.SelectRandom(random);